// $Id: ClientStatLocal.java,v 1.3 2004/03/01 04:32:54 gca Exp $

package com.spamnbeans.server;

/**
 * Provide the internal interface to the ClientStatBean.
 * 
 * <p>The ClientStat Bean tracks the statistics for a Client, identified by
 * its Name and ClientID.
 *
 * @author Andrew Boyer,
 *         <a href="mailto:aboyer@andrew.cmu.edu">aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public interface ClientStatLocal extends javax.ejb.EJBLocalObject 
{
    /**
     * JBoss generated field access function
     */
    public void setName(String name);

    /**
     * JBoss generated field access function
     */
    public String getName();

    /**
     * JBoss generated field access function
     */
    public void setEnable(boolean enable);

    /**
     * JBoss generated field access function
     */
    public boolean getEnable();

    /**
     * JBoss generated field access function
     */
    public Integer getClientID();

}
