// $RCSfile: InvalidServerException.java,v $
// $Author: aboyer $ 
// $Date: 2004/02/12 20:12:53 $
// $Revision: 1.3 $

package com.spamnbeans.server;

import java.lang.Exception;

/**
 * Notify the user that a ServerID or ServerName was invalid.
 *
 * @author Andrew Boyer,
 *         <a href="mailto:aboyer@andrew.cmu.edu">aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public class InvalidServerException extends Exception
{
    /**
     * Create a new InvalidServerException
     */
    public InvalidServerException( String message ) {
	super(message);
    }
}
