// $Id: ServerStatLocal.java,v 1.5 2004/02/29 05:05:03 gca Exp $

package com.spamnbeans.server;

/**
 * Provide the internal interface to the ServerStatBean.
 * 
 * <p>The ServerStat Bean tracks the statistics for a Server, identified by
 * its Name and ServerID.
 *
 * @author Andrew Boyer,
 *         <a href="mailto:aboyer@andrew.cmu.edu">aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public interface ServerStatLocal extends javax.ejb.EJBLocalObject 
{
    /**
     * JBoss generated field access function
     */
    public void setName(String name);

    /**
     * JBoss generated field access function
     */
    public String getName();

    /**
     * JBoss generated field access function
     */
    public void setEnable(boolean enable);

    /**
     * JBoss generated field access function
     */
    public boolean getEnable();

    /**
     * JBoss generated field access function
     */
    public Integer getServerID();
}
