// $RCSfile: SpamCHomeRemote.java,v $
// $Author: cfry $ 
// $Date: 2004/03/03 03:25:09 $
// $Revision: 1.1 $

package com.spamnbeans.spam;

import java.rmi.RemoteException;
import javax.ejb.CreateException;

/**
 * Provide the external lifecycle interface to the SpamC SessionBean.
 * 
 * <p>The SpamC Bean monitors spamd and feeds it messages over TCP/IP.
 *
 * @author Charles Fry,
 *         <a href="mailto:cfry@ece.cmu.edu">cfry@ece.cmu.edu</a>
 * @version 1.0
 */
public interface SpamCHomeRemote extends javax.ejb.EJBHome {
    /**
     * Create a new SpamCRemote interface
     */
    public SpamCRemote create()
        throws RemoteException, CreateException;
}
